Description

Hi

This is an extremely minor issue..

I find the "subproject" nomenclature somewhat confusing.

In fact, sub-anything seems a bit vague, if you want to tell people what a feature is useful for.

Maybe "projects" could be renamed to "cells" on new installations.  The idea would be that Redmine is the battery that powers it all. 

And like a battery has internal galvanically isolated cells, Redmine too has internal compartments that you can use for different stuff.

Then "subprojects" could be named "projects"..

Just an idea :-)

Flame away

History

#1 - 2010-10-13 20:19 - Felix Schäfer

- Status changed from Resolved to Closed

Not gonna happen in trunk, you could override the stock translation strings in a plugin though (create a plugin, add the strings you want to override in

the_plugin/conf/locales/<your_locale>.yml).

#2 - 2010-10-18 14:47 - Albert Rosenfield

Actually, it would be nice if the term for projects were administratively customizable per level in the hierarchy.

For example, for an organization doing volunteer work:

Level 1: Department

Level 2: Client

Level 3: Project

The top level would be different departments (eg. Graphics, Marketing, Development).  Below these would be the various clients that these

departments undertake work for (internal or name of external client).  At the third level would be various projects.

Another example, an organization selling tech something:

Level 1: Customer

Level 2: Type (eg. Support, Adhoc)

Level 3: Project

The top level would be different customers, second level has dichotomy between support cases (created by customers) and adhoc hours (for one-off

jobs).  Bigger projects would have their own Project at level three (eg. below 'adhoc' or similar).

#3 - 2010-10-19 20:26 - Albert Rosenfield

I think what's missing here is the bigger picture to explain why this feature would be useful.

Therefore I have created another issue that tries to paint a more wholesome picture.

Crossing my fingers that it is legible, comprehensible and meaningful to others than myself :-)

Powered by TCPDF (www.tcpdf.org)

2025-05-10 1/1

http://www.tcpdf.org

